"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.baseParams = void 0;
var base = {
    // 登录
    login: '/user/login',
    // 判断科室是否存在对应的职能
    checkDept: '/org/check/dept/fun',
    // 根据 token 获取用户信息
    getUserInfoByToken: '/user/information',
    // 获取用户所在科室与病区
    getUserDeptList: '/user/dept/list',
    //修改用户密码
    setPassWord: '/user/password/update',
    //获取用户权限科室
    getAuthDeptList: '/user/auth/dept/list',
    //获取用户特殊权限列表
    getUserSpecRightList: '/user/special/right/list',
    //CA 登录接口
    caLogin: '/user/login/ca',
    //获取应用列表
    getApplist: '/app/list',
    //特殊权限注册
    registerSpecRight: '/special/right/register',
    //注册应用菜单
    registerAppMenu: '/app/menu/register',
    //注册应用菜单功能按钮
    registerAppMenuOper: '/app/menu/oper/register',
    //获取指定用户应用菜单列表
    getAppMenuList: '/app/menu/list',
    //获取指定用户菜单下的按钮列表
    getAppMenuOperList: '/app/menu/oper/list',
    // 获取用户权限应用列表
    getAppUserRightList: '/app/user/right/list',
    //记录用户最近访问菜单
    setVisitRecord: '/app/module/visit/record/save',
    //获取用户最近访问菜单列表
    getVisitRecordList: '/app/recent/module/list',
    //获取用户常用菜单列表
    getCommonMenuList: '/common/menu/list',
    //用户常用功能菜单注册
    registerCommonMenu: '/common/menu/register',
    //取消用户常用菜单注册
    registerCommonMenuCancel: '/common/menu/cancel/register',
    //用户常用菜单排序
    sortCommonMenu: '/common/menu/sort',
    //获取机构列表
    getOrgList: '/org/list',
    //根据科室或病区获取机构信息
    getInfoByDept: '/org/information/by/dept',
    //检查两个科室或病区是否属于同一分院
    checkOrgSame: '/org/check/same',
    //判断用户是否是某个病区领导（护士长）
    checkNurseUnitLeader: '/user/check/nursing/unit/leader',
    //判断用户是否是某个科室领导（科主任）
    checkDeptLeader: '/user/check/dept/leader',
    // 根据指定流水号编码获取流水号
    getSerialNum: '/serial/number/book/get',
    //注册流水号
    registerSerialNum: '/serial/number/book/register',
    //获取字典数据分页列表
    getDictDataPage: '/dict/data/page',
    //根据菜单类别获取菜单列表
    getAppMenuCateList: '/app/menu/category/list',
    //获取应用字典数据分页列表
    getAppDictDataPage: '/app/dict/data/page',
    //获取应用参数值列表
    getAppParamList: '/app/param/list',
    //根据应用菜单编码获取已注册系统参数列表
    getSystemParamList: '/system/param/list',
    //获取系统参数值
    getSystemParamValue: '/system/param/value',
    //设置系统参数
    setSystemParam: '/system/param/settings',
    //根据应用菜单编码获取已注册本地参数列表
    getLocalParamList: '/local/param/list',
    //获取本地参数值
    getLocalParamValue: '/local/param/value',
    //本地参数设置
    setLocalParam: '/local/param/settings',
    //本地参数值设置
    setLocalParamValue: '/local/param/value/settings',
    //获取系统参数值列表
    getSystemParamValueList: '/system/param/value/list',
    //客户端验证
    checkClient: '/client/check',
    //客户端注册
    registerClient: '/client/register',
    //根据客户端编码获取客户端信息
    getClientInfo: '/client/info',
    //获取数据验证规则列表 
    getDataValidRuleList: '/data/validation/rule/list',
};
// interface obj2 {
//   [prop: string]: string
// }
exports.baseParams = {
    // 登录
    login: {
        code: 'string',
        password: 'string',
    },
    // 判断科室是否存在对应的职能
    checkDept: {
        deptId: 'string',
        functionId: 'string',
    },
    // 根据 token 获取用户信息
    getUserInfoByToken: {
        token: 'string'
    },
    // 获取用户所在科室与病区
    getUserDeptList: {
        userId: 'string',
        organizationId: 'string',
    },
    //修改用户密码
    setPassWord: {
        userId: 'string',
        password: 'string',
        newPassword: 'string',
    },
    //获取用户权限科室
    getAuthDeptList: {
        userId: 'string',
        targetAppId: 'string',
    },
    //获取用户特殊权限列表
    getUserSpecRightList: {
        userId: 'string'
    },
    //CA 登录接口
    caLogin: {
        code: 'string',
        caId: 'string',
    },
    //获取应用列表
    getApplist: {
        applicationId: 'string',
        firmId: 'string',
    },
    //特殊权限注册
    registerSpecRight: {
        id: 'string',
        Name: 'string',
        categoryId: 'string',
        remark: 'string',
        registerUserId: 'string',
        registerUserName: 'string',
    },
    //注册应用菜单
    registerAppMenu: {
        appModules: [
            {
                id: '',
                name: '',
                parentId: '',
                title: '',
                path: '',
                component: '',
                icon: '',
                registerUserId: '',
                registerUserName: '',
                sceneId: '',
                describe: '',
                remark: '',
            }
        ],
        initFlag: 'Number',
    },
    //注册应用菜单功能按钮
    registerAppMenuOper: {
        opers: [
            {
                moduleId: '',
                id: '',
                name: '',
                path: '',
                remark: '',
                registerUserId: '',
                registerUserName: '',
                sceneId: '',
                describe: ''
            }
        ],
        initFlag: 'Number',
    },
    //获取指定用户应用菜单列表
    getAppMenuList: {
        appId: 'string',
        appName: 'string',
        moudleId: 'string',
        moudleName: 'string',
        parentId: 'string',
        categoryId: 'string',
        categoryName: 'string',
        title: 'string',
        path: 'string',
        component: 'string',
        icon: 'string',
        orderNo: 'string',
        spellCode: 'string',
        strokeCode: 'string',
        describe: 'string',
        remark: 'string',
    },
    //获取指定用户菜单下的按钮列表
    getAppMenuOperList: {
        userId: 'string',
        moduleId: 'string',
    },
    // 获取用户权限应用列表
    getAppUserRightList: {
        userId: 'string',
    },
    //记录用户最近访问菜单
    setVisitRecord: {
        userId: 'string',
        moduleId: 'string',
        clientCode: 'string',
    },
    //获取用户最近访问菜单列表
    getVisitRecordList: {
        userId: 'string',
        sortOrder: 'string',
    },
    //获取用户常用菜单列表
    getCommonMenuList: {
        userId: 'string',
    },
    //用户常用功能菜单注册
    registerCommonMenu: {
        userId: 'string',
        moduleId: 'string',
    },
    //取消用户常用菜单注册
    registerCommonMenuCancel: {
        userId: 'string',
        moduleId: 'string',
    },
    //用户常用菜单排序
    sortCommonMenu: {
        userId: 'string',
        moduleOrder: [
            {
                orderNo: 'Number',
                moduleId: 'String'
            }
        ],
    },
    //获取机构列表
    getOrgList: {},
    //根据科室或病区获取机构信息
    getInfoByDept: {
        deptId: 'string',
    },
    //检查两个科室或病区是否属于同一分院
    checkOrgSame: {
        deptId1: 'string',
        deptId2: 'string',
    },
    //判断用户是否是某个病区领导（护士长）
    checkNurseUnitLeader: {
        nursingUnitId: 'string',
        userId: 'string',
    },
    //判断用户是否是某个科室领导（科主任）
    checkDeptLeader: {
        userId: 'string',
        deptId: 'string',
    },
    // 根据指定流水号编码获取流水号
    getSerialNum: {
        applicationId: 'string',
        serialId: 'string',
        subId: 'string',
        obtainUserId: 'string',
        obtainUserName: 'string',
    },
    //注册流水号
    registerSerialNum: {
        applicationId: 'string',
        serialId: 'string',
        serialName: 'string',
        description: 'string',
        subId: 'string',
        prefix: 'string',
        format: 'string',
        numberLen: 'string',
        remark: 'string',
        registerUserId: 'string',
        registerUserName: 'string',
    },
    //获取应用字典数据分页列表
    getDictDataPage: {
        dictId: 'MODULE_CATEGORY',
        pageSize: 1000,
        currentPage: 1
    },
    //根据菜单类别获取菜单列表
    getAppMenuCateList: {
        categoryId: 'string',
        appId: 'string',
    },
    //获取应用字典数据分页列表
    getAppDictDataPage: {
        id: 'string',
        name: 'string',
        contrastCategoryId: 'string',
        contrastCategoryName: 'string',
        spellCode: 'string',
        strokeCode: 'string',
        orderNo: 'string',
        remark: 'string',
    },
    //获取应用参数值列表
    getAppParamList: {
        paramId: 'string',
        subId: 'string',
    },
    //根据应用菜单编码获取已注册系统参数列表
    getSystemParamList: {
        moduleId: 'string',
    },
    //获取系统参数值
    getSystemParamValue: {
        paramId: 'string',
        subId: 'string',
        moduleId: 'string',
    },
    //设置系统参数
    setSystemParam: {
        paramId: 'string',
        paramName: 'string',
        paramDefaultValue: 'string',
        paramValueList: 'string',
        paramDesc: 'string',
        remark: 'string',
        moduleId: 'string',
        settingUserId: 'string',
        settingUserName: 'string',
    },
    //根据应用菜单编码获取已注册本地参数列表
    getLocalParamList: {
        clientId: 'string',
        moduleId: 'string',
    },
    //获取本地参数值
    getLocalParamValue: {
        paramId: 'string',
        clientId: 'string',
        moduleId: 'string',
    },
    //本地参数设置
    setLocalParam: {
        paramId: 'string',
        paramName: 'string',
        paramDefaultValue: 'string',
        paramValueList: 'string',
        paramDesc: 'string',
        remark: 'string',
        moduleId: 'string',
        settingUserId: 'string',
        settingUserName: 'string',
        version: 'string',
    },
    //本地参数值设置
    setLocalParamValue: {
        paramId: 'string',
        clientId: 'string',
        paramValue: 'string',
        remark: 'string',
        settingUserId: 'string',
        settingUserName: 'string',
    },
    //获取系统参数值列表
    getSystemParamValueList: {
        paramId: 'string',
    },
    //客户端验证
    checkClient: {
        id: 'string',
        macAddress: 'string',
        ipAddr: 'string',
    },
    //客户端注册
    registerClient: {
        id: 'string',
        name: 'string',
        orgId: 'string',
        ipAddr: 'string',
        hostName: 'string',
        macAddress: 'string',
        clientInfo: 'string',
        remark: 'string',
        registerUserCode: 'string',
        registerUserName: 'string',
        registerUserPassword: 'string'
    },
    //根据客户端编码获取客户端信息
    getClientInfo: {
        id: 'string',
    },
    //获取数据验证规则列表 
    getDataValidRuleList: {
        id: 'string',
        name: 'string',
        oraclePattern: 'string',
        netPattern: 'string',
        javaPatten: 'string',
        jsPatten: 'string',
        vuePatten: 'string',
        ruleDesc: 'string',
        remark: 'string',
    },
};
exports.default = base;
//# sourceMappingURL=base.js.map